Name:          harmonyseq
Summary:       A MIDI sequencer
Version:       0.16
Release:       9%{?dist}
License:       GPLv3+
URL:           http://harmonyseq.wordpress.com/
Source:        http://launchpad.net/harmonyseq/stable/0.16/+download/harmonySEQ-%{version}.tar.gz
Group:         Applications/Multimedia

BuildRequires: gtkmm24-devel 
BuildRequires: glibmm24-devel
BuildRequires: alsa-lib-devel 
BuildRequires: liblo-devel
BuildRequires: desktop-file-utils

%description
%{name} is a live loop-based MIDI software sequencer intended to aid music 
composers and performers.

%prep
%setup -q -n harmonySEQ-%{version}
sed -i -e 's|-O3|%{optflags}|' src/Makefile.am \
  configure.ac 

%build
autoreconf
%configure
make %{?_smp_mflags}

%check

%install
make install DESTDIR="%{buildroot}"
mv %{buildroot}%{_datadir}/doc/harmonyseq %{buildroot}%{_docdir}/harmonyseq-%{version}
%find_lang harmonySEQ
desktop-file-install                                    \
--remove-mime-type="text/x-harmonyseq"                  \
--add-mime-type="text/x-harmonyseq"                     \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f harmonySEQ.lang
%doc LICENSE CHANGELOG README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/gnome/*/mimetypes/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/*

%changelog
* Fri Nov 23 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.16-9
- Update license to GPLv3+

* Sat Oct 27 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.16-8
- Add missing BR

* Thu Oct 25 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.16-7
- Initial package
